RAND(3)

NAME
rand, srand - bad random number generator

SYNOPSIS
#include <stdlib.h>
void
srand(unsigned seed);
int
rand(void);

DESCRIPTION
These interfaces are obsoleted by random(3).

The rand() function computes a sequence of pseudo-random integers in the range of 0 to RAND_MAX (as defined by the header file <stdlib.h>).

The srand() function sets its argument as the seed for a new sequence of pseudo-random numbers to be returned by rand(). These sequences are repeatable by calling srand() with the same seed value.

If no seed value is provided, the functions are automatically seeded with a value of 1.

SEE ALSO
random(3)

STANDARDS
The rand() and srand() functions conform to ansiC.